#include "SAE.h"

int Ouverture(int tNoCarte[], int tage[], int tPointsCarte[], int tCarteActive[], int tNbActivitesJour[], int tDate[], int tmax)
{
    int i = 0, j = 0;
    int NoCarte, age, pointsCarte, CarteActive;
    int Date, nbActivitesJour;
    FILE *flot, *jour;
    flot = fopen("membres.don", "r");
    jour = fopen("ActivitesJour.don", "r");
    if(flot == NULL)
    {
        printf("Pb d'ouverture du fichier membres.don\n");
        return -1;
    }
    if(jour == NULL)
    {
        printf("Pb d'ouverture du fichier ActivitesJour.don\n");
        return -1;
    }
    fscanf(flot, "%d%d%d%d%d%d%d", &NoCarte, &age, &pointsCarte, &CarteActive);
    fscanf(jour, "%d%d", &Date, &nbActivitesJour);
    while(!feof(flot))
    {
        if(i == tmax)
        {
            printf("Tableau plein\n");
            fclose(flot);
            return -1;
        }
        tNoCarte[i] = NoCarte;
        tage[i] = age;
        tPointsCarte[i] = pointsCarte;
        tCarteActive[i] = CarteActive;
        fscanf(flot, "%d%d%d%d", &NoCarte, &age, &pointsCarte, &CarteActive);
        i++;
    }
    while(!feof(jour))
    {
        if(j == tmax)
        {
            printf("Tableau plein\n");
            fclose(jour);
            return -1;
        }
        tDate[j] = Date;
        tNbActivitesJour[j] = nbActivitesJour;
        fscanf(jour, "%d%d", &Date, &nbActivitesJour);
        j++;
    }
    fclose(jour);
    fclose(flot);
    return i;
}

int Sauvegarde(int tNoCarte[], int tage[], int tPointsCarte[], int tCarteActive[], int tNbActivitesJour[], int tDate[], int nbelem)
{
    int i, j;
    FILE *flot, *jour;
    flot = fopen("membres.don", "a");
    jour = fopen("ActivitesJour.don", "a");
    if(flot == NULL)
    {
        printf("Pb d'ouverture du fichier membres.don\n");
        return -1;
    }
    if(jour == NULL)
    {
        printf("Pb d'ouverture du fichier ActivitesJour.don\n");
        return -1;
    }
    for(i = 0; i < (nbelem-1); i++)
    {
        fprintf(flot, "%d\t%d\t%d\t%d\t%d\t%d\t%d\n", tNoCarte[i], tage[i], tPointsCarte[i], tCarteActive[i]);
    }
    for(j = 0; j < (nbelem-1); j++)
    {
        fprintf(jour, "%d\t%d\n", tDate[j], tNbActivitesJour[j]);
    }
    fclose(jour);
    fclose(flot);
}

/*
void pointsBonus()
{

}



int rechercheEtCreation(int tNoCarte[], int nbClients)
{
    int NoCarte, i;
    for( i=0; i < nbClients; i++)
    {
        if(i != tNoCarte[i])
        {
            return i;
        }
    }
    return i;
}

int CreationAdherents(int tAdherents[], nbClients)
{
    int NoCarte, nom, prenom, age, pointsCarte, CarteActive, nbActivitéesJour;
    printf("Donnez le nom, le prénom, l'âge du client :\n");
    scanf("%d%d%d", &nom, &prenom, &age);
    pas = rechercheEtCreation(tAdherents, nbClients);
}

int FrequenceCentre()
{

}
*/
